Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.jdbc.schema
Class AutoDriverDataSource

    java.lang.Object
      org.apache.openjpa.jdbc.schema.SimpleDriverDataSource
          org.apache.openjpa.jdbc.schema.DBCPDriverDataSource
              org.apache.openjpa.jdbc.schema.AutoDriverDataSource

All Implemented Interfaces:
  Wrapper, CommonDataSource, DataSource, DriverDataSource, Configurable, Closeable

    public class AutoDriverDataSource

extends DBCPDriverDataSource

Automatic Commons DBCP pooling or Simple non-pooling driver data source. If the commons-dbcp packages are on the class path, then they will be used, else it will fall back to non-DBCP mode.

Field Summary

Fields inherited from class org.apache.openjpa.jdbc.schema.DBCPDriverDataSource
`conf`

Fields inherited from class org.apache.openjpa.jdbc.schema.SimpleDriverDataSource
`_eloc, _loc`

Constructor Summary
`AutoDriverDataSource()`

Method Summary
`Connection` | `getConnection(Properties props)`

Methods inherited from class org.apache.openjpa.jdbc.schema.DBCPDriverDataSource
`close, endConfiguration, getDBCPConnection, getDBCPDataSource, isDBCPDataSource, isDBCPLoaded, setConfiguration, startConfiguration`

Methods inherited from class org.apache.openjpa.jdbc.schema.SimpleDriverDataSource
`createConnectionDecorators, getClassLoader, getConnection, getConnection, getConnectionDriverName, getConnectionFactoryProperties, getConnectionPassword, getConnectionProperties, getConnectionURL, getConnectionUserName, getLoginTimeout, getLogWriter, getParentLogger, getSimpleConnection, getSimpleDriver, initDBDictionary, isWrapperFor, setClassLoader, setConnectionDriverName, setConnectionFactoryProperties, setConnectionPassword, setConnectionProperties, setConnectionURL, setConnectionUserName, setLoginTimeout, setLogWriter, unwrap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AutoDriverDataSource

    public AutoDriverDataSource()

Method Detail

### getConnection

    public Connection getConnection(Properties props)
                             throws SQLException

  Overrides:
    `getConnection` in class `DBCPDriverDataSource`
  Throws:
    `SQLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.